/*
 * (C) 1996 by Marcin Dalecki <sub994.sub.uni-goettingen.de>
 *
 * This file is part of the Motif Info browser.
 *
 * The GNU Info widget is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as published
 * by the Free Software Foundation; either version 1, or (at your option)
 * any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this software; see the file COPYING.  If not, write to
 * the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#ifndef DISPLAY_H
#define DISPLAY_H

#include <stdio.h> 

#include "parse.h"

struct page_stack {
    struct page_stack *prev;
    struct page *page;
};

extern struct page_stack* page_stack;
extern struct page_stack* fwrd_stack;

extern Widget node_text;
extern Widget back_button;
extern Widget fwrd_button;
extern Widget prev_button;
extern Widget top_button;
extern Widget next_button;
extern Widget home_button;
extern Widget search_button;

extern Widget prev_menu_button;
extern Widget top_menu_button;
extern Widget next_menu_button;
extern Widget home_menu_button;
extern Widget menu_item_button;
extern Widget menu_node_button;
extern Widget xref_item_button;
extern Widget xref_node_button;

extern Widget location_text;

extern struct page *current_page;

extern void display_node(struct page *entry);

#endif 
