/*
 * (C) 1996 by Marcin Dalecki <sub994.sub.uni-goettingen.de>
 *
 * This file is part of the Motif Info browser.
 *
 * The GNU Info widget is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as published
 * by the Free Software Foundation; either version 1, or (at your option)
 * any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this software; see the file COPYING.  If not, write to
 * the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#ifndef PARSE_H
#define PARSE_H

#include <Xm/Text.h>

struct indirect {		/* table of indirection files */
    struct indirect *next;
    char *file; 		
    int tag;
};

struct node {			/* node in indirection table */
    struct node *next;
    char *node;
    int tag;
    char *file;
};

struct top {			/* top indirect file */
    struct indirect *indirect;
    struct node *node;
};

struct menu {
    struct menu *next;
    char *name;
    char *node;
    int pos;
};

struct page {
    struct page *next;
    char *file;
    char *File;
    char *Node;
    char *Next;
    char *Prev;
    char *Up;
    char *text;
    struct menu *menu;
    struct menu *note;
};

extern struct top *parse_top(char *text);
struct page *parse_file(char *file, char *text);

extern void normalize_white_space(char **text);

extern void debug_print_top(struct top *top);
extern void debug_print_page(struct page *page);

#endif
